Update the approval status of a Task.

Sets the approval status of an existing Task to either Approved or Denied.

Approval status is only supported for project Tasks. Non-project tasks (NPTs) and non-task task types do not support approval and will return a validation error.

This operation is processed as a Changeset to ensure sequential application and concurrency safety.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the Task to update

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The approval status update payload indicating whether the Task is approved or denied.
statusstringRequiredformat: "^(approved|denied|pending)$">=1 character

The approval status to apply to the Task. Must be one of: Approved, Denied, or Pending.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successboolean or nullRead-only

True if the API call succeeded; false otherwise.

hasErrorboolean or nullRead-only
True if the API call failed.
statusCodeenum or null
The HTTP code of the response.
dataobject or null
Returns the id of a specific ChangeSet